var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import { CustomButton } from './style';
var Button = function (_a) {
    var className = _a.className, relValues = _a.relValues, target = _a.target, onClick = _a.onClick, props = __rest(_a, ["className", "relValues", "target", "onClick"]);
    if (props.href && !onClick) {
        return (_jsx(CustomButton, __assign({ "data-testid": "rt-button-link", className: className, href: props.href, rel: relValues, target: target, color: props.color, type: props.type, disableElevation: true }, props, { children: props.label || props.children })));
    }
    return (_jsx(CustomButton, __assign({ "data-testid": "rt-button-cta", className: className, onClick: onClick, rel: relValues, target: target, color: props.color, type: props.type, disableElevation: true }, props, { children: props.label || props.children })));
};
export default Button;
