var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "react/jsx-runtime";
import renderer from 'react-test-renderer';
import { createTheme } from '@mui/material';
import { render } from '@testing-library/react';
import { ThemeProvider } from './components';
export var renderWithContexts = function (node) {
    var theme = createTheme();
    var Component = _jsx(ThemeProvider, __assign({ theme: theme }, { children: node }));
    return render(Component);
};
export var renderedWithContexts = function (node) {
    var theme = createTheme();
    var Component = _jsx(ThemeProvider, __assign({ theme: theme }, { children: node }));
    return renderer.create(Component).toJSON();
};
export var renderingWithContexts = function (node) {
    renderWithContexts(node);
    return renderedWithContexts(node);
};
