import { Button as MuiButton } from '@mui/material';
import { styled } from '@mui/system';
/**
 * Primary UI component for user interaction
 */
export var CustomButton = styled(MuiButton, {
    shouldForwardProp: function (prop) {
        return ![
            'backgroundColor',
            'primary',
            'rounded',
            'uppercase',
            'textColor',
            'borderColor',
        ].includes(prop);
    },
})(function (_a) {
    var backgroundColor = _a.backgroundColor, borderColor = _a.borderColor, primary = _a.primary, rounded = _a.rounded, uppercase = _a.uppercase, textColor = _a.textColor;
    return "\n\t\tbackground-color: ".concat(backgroundColor, "!important;\n\t\tborder-color: ").concat(primary ? borderColor : '', "!important;\n\t\tborder-radius: ").concat(rounded ? '50px' : '0', ";\n\t\ttext-transform: ").concat(uppercase ? '' : 'initial', ";\n\t\tcolor: ").concat(textColor, ";\n");
});
