import isPropValid from '@emotion/is-prop-valid';
import { Theme } from '@mui/system';
import { MouseEvent } from 'react';
export declare const styledOptions: {
    shouldForwardProp: typeof isPropValid;
};
export declare const extendedStyledOptions: (allowed: string[], forbidden?: string[]) => {
    shouldForwardProp: (prop: string) => boolean;
};
export declare type StyledProps = {
    theme: Theme;
};
export declare function mouseEventClick(onClick?: () => void): (e?: MouseEvent<Element, globalThis.MouseEvent> | undefined) => void;
