import isPropValid from '@emotion/is-prop-valid';
export var styledOptions = {
    shouldForwardProp: isPropValid,
};
export var extendedStyledOptions = function (allowed, forbidden) {
    if (forbidden === void 0) { forbidden = []; }
    return ({
        shouldForwardProp: function (prop) {
            return !forbidden.includes(prop) && (allowed.includes(prop) || isPropValid(prop));
        },
    });
};
export function mouseEventClick(onClick) {
    return function (e) {
        if (e === null || e === void 0 ? void 0 : e.preventDefault)
            e === null || e === void 0 ? void 0 : e.preventDefault();
        if (onClick)
            onClick();
    };
}
